Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163324 - 20 seconds of blank screen with no feedback makes it seem like installer has crashed
Summary: 20 seconds of blank screen with no feedback makes it seem like installer has ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 05:40 UTC by Mike MacCana
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 21:29:26 UTC


Attachments (Terms of Use)

Description Mike MacCana 2005-07-15 05:40:55 UTC
Description of problem:
Even on a 100MB networks, mounting an NFS install tree can take a while. Timing
the installer, from hitting enter on the NFS server and directory page, to
starting anaconda, reveals there's often about 20 seconds of time where no
visible feedback is displayed. In GLS classes, many students new to Linux
actually think the install has crashed at this point.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install from an NFS server  

Actual results:
In nearly every situation, there will be a long period of time where no text or
visible activity occurs on screen. Indeed, the installer appears to be crashed.

Expected results:
A dialog letting the users know what is happening during this delay.

Additional info:

Comment 1 Jeremy Katz 2005-07-15 11:46:07 UTC
Is there a specific point that takes a while?  Can you look at tty3 and see what
the last message is where it's stalling out or if the messages are just
continuing to move forward?

Comment 2 Mike MacCana 2005-07-15 13:00:29 UTC
It's just a busy server. The problem is particularly noticable during GLS
classes, where 10 or 14 students often install systems simultaneously. 20
seconds is as bad as it gets, but even at five seconds the lack of feedback is
worrying.

Comment 3 Jeremy Katz 2005-07-15 13:15:26 UTC
And even then, I need to know more specifically where things are when you're
wanting more feedback.  Especially since there are regularly that many (or more)
machines installing and pulling stuff from the servers I use and I don't notice
anything in particular.

Comment 4 Mike MacCana 2005-07-16 08:04:32 UTC
Sure Jeremy. I have next week off from work, but the week after I'll be doing a
multiple install and will time things then and post the results.

Comment 5 Chris Lumens 2005-10-05 16:53:43 UTC
Any updates on this one?

Comment 7 Red Hat Bugzilla 2007-06-12 02:52:43 UTC
requested by Jams Antill


Note You need to log in before you can comment on or make changes to this bug.